Name:           amahi-servertweet
Version: 0.3
Release:        2 

Summary:        ServerTweet is an Amahi Home Server app to monitor and send updates on your Amahi HDA

Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: hdactl hda-platform

%define debug_package %{nil}

%description
ServerTweet is an Amahi Home Server app to monitor and send
updates on your Amahi HDA

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

# platform server initialitation
mkdir -p $RPM_BUILD_ROOT/var/hda/platform/apps/servertweet
rsync -a app/ $RPM_BUILD_ROOT/var/hda/platform/apps/servertweet/
install -m 0755 -D -p amahi-servertweet.initscript ${RPM_BUILD_ROOT}%{_initrddir}/amahi-servertweet

%clean
rm -rf $RPM_BUILD_ROOT

%post
# add it an turn it on by default
/sbin/chkconfig --add amahi-servertweet
/sbin/chkconfig amahi-servertweet on
if [[ -e /var/cache/hdactl.cache ]]; then
        if grep -q yes /var/cache/hdactl.cache ; then
		/usr/bin/hda-alias add servertweet > /dev/null 2>&1
		/sbin/service amahi-servertweet start 2>&1 > /dev/null
		/sbin/service httpd reload  2>&1 > /dev/null
	fi
fi

%preun

if [ "$1" = 0 ]; then
	# an uninstall
	/usr/bin/hda-alias rm servertweet > /dev/null 2>&1
	/sbin/chkconfig amahi-servertweet off
	/sbin/chkconfig --del amahi-servertweet
	/sbin/service amahi-servertweet stop 2>&1 > /dev/null
	/sbin/service httpd reload > /dev/null 2>&1
else
	# an update
	/usr/bin/hda-alias add servertweet > /dev/null 2>&1
	/sbin/service amahi-servertweet stop 2>&1 > /dev/null
	/sbin/service amahi-servertweet start 2>&1 > /dev/null
	/sbin/service httpd reload > /dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%{_initrddir}/amahi-servertweet
/var/hda/platform/apps/servertweet/*


%changelog
* Mon Jul 20 2009 Carlos Puchol
- started, with user uipe
